org.gradle.jvm.plugins

## Class JUnitTestSuitePlugin

- java.lang.Object
- - org.gradle.jvm.plugins.JUnitTestSuitePlugin

- All Implemented Interfaces:
    Plugin<Project>

      @Incubating
      public class JUnitTestSuitePlugin
      extends Object
      implements Plugin<Project>

  This plugin adds support for execution of JUnit test suites to the Java software model.
  Since:
    2.11

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JUnitTestSuitePlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project project)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JUnitTestSuitePlugin

          public JUnitTestSuitePlugin()

  - ### Method Detail

    - #### apply

          public void apply(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object